<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$dd_id=$_GET['id'];

$sql=mysqli_query($con,"SELECT * FROM devengados_deducidos where dd_id='$dd_id' ");
$row1=mysqli_fetch_array($sql);
$dd_id=$row1['dd_id'];
$dd_nombre=$row1['dd_nombre'];
$dd_nombre_in=$row1['dd_nombre_in'];

?>        
<form name="form_horas" id="form_horas" method="post" action="" >
    <div class="">
        <input type="hidden" name="dd_nombre" value="<?php echo $dd_nombre; ?>">
        <input type="hidden" name="dd_nombre_in" value="<?php echo $dd_nombre_in; ?>">
        <label>Fecha Inicio</label>
        <input type="datetime-local" name="fecha1" class="form-control input-sm" value="" required>
    </div> <!-- /.form-group -->
     <div class="">
        <label>Fecha Fin</label>
        <input type="datetime-local" name="fecha2" class="form-control input-sm" value="" required>
    </div> <!-- /.form-group -->
    <div class="">
        <label>Cantidad</label>
        <input type="number" name="cantidad" class="form-control input-sm" value="1" required>
    </div> <!-- /.form-group -->
    <div class="">
        <label>Valor Hora</label>
        <input type="number" name="valor" class="form-control input-sm" value="" required>
    </div> <!-- /.form-group -->
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button name="btn_horas" value="btn_horas" type="submit" class="btn btn-success"><i class="icon-ok"></i><strong>Modificar</strong></button>
    </div>
</form>
<script>
$("#form_horas").submit(function( event ) {
    $('#btn_horas').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "php_doc_nomina/registrar_horas_temp.php",
        data: parametros,
        beforeSend: function(objeto){
            $("#resultado_horas_temp").html("Mensaje: Cargando...");
        },
        success: function(datos){
            $("#resultado_horas_temp").html(datos);
            $('#btn_horas').attr("disabled", false);
            $('#hora').modal('hide');
           // $('body').removeClass('modal-open');
           // $('.modal-backdrop').remove();
            loadtabla_horas();
        }
    });
    event.preventDefault();
}) 
</script>